Add a message to a session
curl --request POST \
--url https://api.factory.ai/api/v0/sessions/{sessionId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"images": [
{
"type": "base64",
"data": "<string>"
}
],
"files": [
{
"type": "base64",
"mediaType": "application/pdf",
"data": "<string>",
"parsedData": "<string>",
"name": "<string>",
"path": "<string>"
}
],
"computerId": "<string>"
}
'import requests
url = "https://api.factory.ai/api/v0/sessions/{sessionId}/messages"
payload = {
"text": "<string>",
"images": [
{
"type": "base64",
"data": "<string>"
}
],
"files": [
{
"type": "base64",
"mediaType": "application/pdf",
"data": "<string>",
"parsedData": "<string>",
"name": "<string>",
"path": "<string>"
}
],
"computerId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
text: '<string>',
images: [{type: 'base64', data: '<string>'}],
files: [
{
type: 'base64',
mediaType: 'application/pdf',
data: '<string>',
parsedData: '<string>',
name: '<string>',
path: '<string>'
}
],
computerId: '<string>'
})
};
fetch('https://api.factory.ai/api/v0/sessions/{sessionId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messageId": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}Sessions
Add a message to a session
Adds a user message and optionally waits for agent completion. Supports text, images, and file attachments. This feature is enabled for selected organizations only.
POST
/
api
/
v0
/
sessions
/
{sessionId}
/
messages
Add a message to a session
Authorizations
Factory API key or JWT token for authentication
Path Parameters
Body
application/json
⌘I
